summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2020-08-05 13:30:17 +0200
committerUlrich Müller <ulm@gentoo.org>2020-08-05 13:30:17 +0200
commitd59725368ad8ed8d6ea60345b5316497bc75d841 (patch)
tree80ecdd2c95d5d74692746dc7ae2f06394209c83d
parentsys-kernel/vanilla-sources: Automated version bump to {4.14.192,4.19.137,5.4.... (diff)
downloadgentoo-d59725368ad8ed8d6ea60345b5316497bc75d841.tar.gz
gentoo-d59725368ad8ed8d6ea60345b5316497bc75d841.tar.bz2
gentoo-d59725368ad8ed8d6ea60345b5316497bc75d841.zip
net-im/zoom: Version bump to 5.2.440215.0803.
Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
-rw-r--r--net-im/zoom/Manifest2
-rw-r--r--net-im/zoom/zoom-5.2.440215.0803.ebuild106
2 files changed, 108 insertions, 0 deletions
diff --git a/net-im/zoom/Manifest b/net-im/zoom/Manifest
index bde9a3c8335..4761ccddcb0 100644
--- a/net-im/zoom/Manifest
+++ b/net-im/zoom/Manifest
@@ -4,3 +4,5 @@ DIST zoom-5.1.418436.0628_i686.tar.xz 39038972 BLAKE2B 534cbddc1f45a1148f9c4deb6
DIST zoom-5.1.418436.0628_x86_64.tar.xz 41884984 BLAKE2B a1beb64bf590391423c992627448d001f8f5e6cb01f5b95bbfdd634a9e33c22efcf393a95db29324d7baa21fc6d7cd61fce4f1dcfaf9fd7ba3e9b765a531b3b7 SHA512 0c844b688bfc57f252c5acb0224df242c7467cb0d7172c7b430781576cd066a71e100d0206a4b12f4f8e4fe960f824596034964b3be5612293cfc88bdf998d2e
DIST zoom-5.1.422789.0705_i686.tar.xz 39046196 BLAKE2B 1e0e37e7b184749b9dbfad2958df5b6169a4be5d320da58f934a61247b66e7038d5843c6a72c1fddb0602392b15bf909f1d00d494c878889846f27e0284dc374 SHA512 961561152193e0b91c8847d5b106c0b1ad7a75d3fe5de57928cee69f9a05f242b7fa2c64d9ded03f870d8b5fcaf46d2ce677f2b0e80759f2a0202d13afb64970
DIST zoom-5.1.422789.0705_x86_64.tar.xz 41893748 BLAKE2B ec324c23effa1f3a5dc27be0054a9e85b2fe75eace30c247a2c03849024d5525f4af944effe3a9f34d16c11f5d1ace17e651211a8db830222795deee653f54ed SHA512 e86aa9c3c56357c0d32c831338f3d1d6122d5f23719cf23fec9e36acaac0be07d126943db7b8d40b638199fcefdf0ce020a92e1b72b9e7e42eba9457ba305818
+DIST zoom-5.2.440215.0803_i686.tar.xz 39618100 BLAKE2B d0d99d846466614294573f28db1fa2d9643b278cfcfce5f66158411ed6d077309dc987ef5b2fb8a5d84cc8351a16deaa1bb59d024b5b4f480bbce0138c9314fd SHA512 afe53edadd5c3d44f299c14e677b7f12ac42933187cb9c076f47d7155a6be7505baf1165ed942de32295b7f2e1c1d8518847a9923234bd8b8b2c3bc607aa0d91
+DIST zoom-5.2.440215.0803_x86_64.tar.xz 42437020 BLAKE2B 32c6c47c84311a4a3173a26a00a0911894eeb2abbf537da9777405d59c61e1288ebd9d2f22e766579b72f3e5ef8acce79bb2a1ed4f3ffe122a1d0b06bfa25790 SHA512 b553d7f9d89a27a1845ae9e32d47e1ccec36c2d1093b3db2eb87e59a6b42436103ee651e13a5d5943df6545cdc6a19c994e8686e5bbe8df93503f5c69ae876b6
diff --git a/net-im/zoom/zoom-5.2.440215.0803.ebuild b/net-im/zoom/zoom-5.2.440215.0803.ebuild
new file mode 100644
index 00000000000..a795b31a6ec
--- /dev/null
+++ b/net-im/zoom/zoom-5.2.440215.0803.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop eutils readme.gentoo-r1 xdg-utils
+
+DESCRIPTION="Video conferencing and web conferencing service"
+HOMEPAGE="https://zoom.us/"
+SRC_URI="amd64? ( https://zoom.us/client/${PV}/${PN}_x86_64.tar.xz -> ${P}_x86_64.tar.xz )
+ x86? ( https://zoom.us/client/${PV}/${PN}_i686.tar.xz -> ${P}_i686.tar.xz )"
+S="${WORKDIR}/${PN}"
+
+LICENSE="all-rights-reserved Apache-2.0" # Apache-2.0 for icon
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="bundled-libjpeg-turbo pulseaudio"
+RESTRICT="mirror bindist strip"
+
+RDEPEND="!games-engines/zoom
+ dev-libs/glib:2
+ dev-libs/icu
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ amd64? ( dev-qt/qtdeclarative:5[widgets] )
+ x86? ( dev-qt/qtdeclarative:5 )
+ dev-qt/qtdiag:5
+ dev-qt/qtgraphicaleffects:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtquickcontrols:5[widgets]
+ dev-qt/qtscript:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ media-sound/mpg123
+ sys-apps/dbus
+ sys-apps/util-linux
+ virtual/opengl
+ x11-libs/libX11
+ x11-libs/libxcb
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXtst
+ x11-libs/xcb-util-image
+ x11-libs/xcb-util-keysyms
+ !bundled-libjpeg-turbo? ( media-libs/libjpeg-turbo )
+ pulseaudio? ( media-sound/pulseaudio )
+ !pulseaudio? ( media-libs/alsa-lib )"
+
+BDEPEND="!pulseaudio? ( dev-util/bbe )"
+
+QA_PREBUILT="opt/zoom/*"
+
+src_prepare() {
+ default
+ if ! use pulseaudio; then
+ # For some strange reason, zoom cannot use any ALSA sound devices if
+ # it finds libpulse. This causes breakage if media-sound/apulse[sdk]
+ # is installed. So, force zoom to ignore libpulse.
+ bbe -e 's/libpulse.so/IgNoRePuLsE/' zoom >zoom.tmp || die
+ mv zoom.tmp zoom || die
+ fi
+}
+
+src_install() {
+ insinto /opt/zoom
+ exeinto /opt/zoom
+ doins -r json sip timezones translations
+ doins *.pcm *.pem *.sh Embedded.properties version.txt
+ use amd64 && doins icudtl.dat
+ doexe zoom zoom.sh zopen ZoomLauncher
+ dosym {"../../usr/$(get_libdir)",/opt/zoom}/libmpg123.so
+
+ if use bundled-libjpeg-turbo; then
+ doexe libturbojpeg.so.0.1.0
+ dosym libturbojpeg.so.0.1.0 /opt/zoom/libturbojpeg.so
+ else
+ dosym {"../../usr/$(get_libdir)",/opt/zoom}/libturbojpeg.so #715106
+ fi
+
+ make_wrapper zoom ./zoom /opt/zoom
+ make_desktop_entry "zoom %U" Zoom zoom-videocam "" \
+ "MimeType=x-scheme-handler/zoommtg;application/x-zoom;"
+ # The tarball doesn't contain an icon, so take a generic camera icon
+ # from https://github.com/google/material-design-icons, modified to be
+ # white on a blue background
+ doicon -s scalable "${FILESDIR}"/zoom-videocam.svg
+ doicon -s 24 "${FILESDIR}"/zoom-videocam.xpm
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+
+ local FORCE_PRINT_ELOG v
+ for v in ${REPLACING_VERSIONS}; do
+ ver_test ${v} -le 5.0.403652.0509 && FORCE_PRINT_ELOG=1
+ done
+ readme.gentoo_print_elog
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}